\newpage

\thispagestyle{empty}
\section*{Acknowledgments}

%\chapter*{Acknowledgments}
%\addcontentsline{toc}{chapter}{Acknowledgments}

The work of this thesis was conducted during my time at the Chair for Computation in Engineering and the Chair of Computational Modeling and Simulation at the Technical University of Munich. It was funded in part by the Deutsche Forschungsgemeinschaft (DFG, German Research Foundation) through grant KO 4570/2-1, for which I am grateful. Many people I met during this time shaped my path in one way or another or were just fun to be around.

First, I want to thank Professor Rank for allowing me to work and graduate in his team. He trusted me after pitching the topic of this thesis to him and encouraged me to look into it, although we already had a different topic in mind. The place and the people always felt special to me and when asking why, one must first look to the top. Professor Rank has consistently put great effort into creating an environment for his team that provides much freedom for creativity while giving us the feeling that he has our back should there be any trouble. He was always available to give great advice and continues to do so today. Since I can't imagine Professor Rank ever truly retiring, I'm confident that we will see more of him in the future.

Stefan Kollmannsberger equally contributed to the specialness of our group. Most of the time, he puts his team before himself, enabling the people around him and setting them up for success. This selflessness may not be very visible or shiny to the outside world, but it deserves every possible credit. Still, he has accumulated an impressive academic record for which he was finally rewarded recently, which makes me very happy. Of course, Stefan is a great person to discuss science and life with. He often sees the bigger picture and helps to break out of tunnel vision, which is sometimes easy to get stuck in. I'm sure we will continue to work on many things together.

Victor Calo and I first met during HOFEIM 2014 at Frauenchiemsee, where I was a Bachelor's student helping with the conference. Victor spent a lot of time and effort sharing his experience with me, which was valuable in many ways. His view on science, particularly our research field, which we discussed quite extensively during my visit to Perth in 2016, has been very healthy for me since. He also helped me improve my scientific writing skills and understand mathematical concepts. The discussions with him have always been great, and I hope we continue this kind of exchange.

I also want to thank Professor Duddeck for agreeing to be the third reviewer and taking the time to thoroughly read through my thesis. I know time is rare as a Professor, and I appreciate the effort and helpful advice very much. Maybe there is a way to work on something together in the future?

There are many other people that I want to mention. It all started with Tino Bog asking me during an oral exam in 2012 whether I would be interested in a student job. He promised they'd do a lot of object-oriented C++, which turned out to be very true. Later, I worked for Nils Zander, who taught me how to do science and really set me up for the path I followed since. Nils and Tino not only spent a lot of time and effort designing their new finite element code but also made sure that the growing team of developers could learn from them as much as possible. Over the years, Nina Korshunova, John Jomo, Lisa Hug, Ali \"Ozcan, L\'aszl\'o Kudela, Mohamed Elhaddad, Davide D'Angella, Alex Paolini, Oguz Oztoprak, and Benjamin Wassermann joined. Chris Ertl and Nevena Perovic didn't work on our code but were equally part of the team. There are so many awesome memories, like the winter seminars every year, the conferences and workshops we visited together, the regular coffee breaks with Nina and our ''jungle'' office, or the ''science gone wrong'' and other nerdy memes with L\'aszl\'o and Mohamed. I also want to thank Hanne Cornils and Simon Vilgertshofer, with whom I shared some of the administrative burdens.

After Covid then started a new chapter where most of the old team had graduated, and Tim B\"urchner, Vijay Holla, Leon Herrmann, Alireza Daneshyar, and Divya Singh joined. The frequent discussions with Tim and Vijay, who I work with quite closely, are always something I very much look forward to. Outside of TUM, we often met Lars Radtke, Andre Hildebrandt-Raj, and Wadhah Garhuom from Hamburg and Massimo Carraturo from Pavia, who I am happy to see again every time. Even further away, but still somehow part of my extended academic world, are Philipp Bucher, Ege G\"um\"us, and Andrew Brodie. We met during our Master's studies and have shared many of the struggles since. I am also very thankful for the continuous and loving support of my parents. Especially in recent years, our frequent coffees often brought clarity that I didn't have before.

\vspace{1.5cm}
 
{\noindent
Philipp Kopp

\noindent
M\"unchen, April 2024
}
